@import url('https://fonts.cdnfonts.com/css/circe');
@import url('https://fonts.cdnfonts.com/css/gilam');
@import "mixins";
@import "variables";

body {
  margin: 0;
  padding: 0;
  overflow-x: auto;
}

.header {
  padding-right: 230px;
  padding-left: 230px;
  background-color: $bg-header-main-color;
  width: 100%;

  &__container {
    width: 1460px;
    margin: 0 auto;
    display: flex;
    justify-content: space-between;
    padding-bottom: 128px;
  }


  &__logo-left {
    width: 216px;
    height: 33px;
    padding-top: 46px;
  }

  &__logo-right {
    border: 1px solid #E4B564;
    width: 218px;
    height: 50px;
    margin-top: 37px;

    &__text {
      display: flex;
      justify-content: space-around;
      padding-top: 10px;
      @include font-properties('Gilam', 'normal', 400, 18px, 30px);
      color: $logo-text-color;
      text-decoration: none;

      &__img {
        width: 16px;
        height: 16px;
        padding-top: 9px;
      }
    }
  }
}

main {
  padding-right: 230px;
  padding-left: 230px;
  background-color: $bg-header-main-color;
  width: 100%;
}

.main_container {
  width: 1460px;
  margin: 0 auto;
}

.section-first {
  &__title {
    height: 28px;
    @include font-properties('Gilam', 'normal', 700, 50px, 28px);
    color: $sect-first-title-color;
    margin: 0 auto;
  }

  &__text {
    width: 1182px;
    height: 56px;
    margin-top: 40px;
    @include font-properties('Gilam', 'normal', 700, 20px, 28px);
    color: $sect-first-text-color;
  }

  &__grid-container {
    display: grid;
    grid-template-rows: 220px 220px 220px 220px;
    grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
    grid-gap: 27px;
    width: 1460px;
    height: 963px;
    margin-bottom: 161px;

    &__text {
      padding-top: 200px;
      color: $first-grid-container-color;
      text-align: center;
      @include font-properties('Gilam', 'normal', 700, 20px, 28px)
    }

    &__item-1 {
      @include grid-container-first ($first-bg-grid1-color, span 2, span 2)
    }

    &__item-2 {
      @include grid-container-first ($first-bg-grid2-color, span 2, span 2)
    }

    &__item-3 {
      @include grid-container-first ($first-bg-grid3-color, span 2, span 2)
    }

    &__item-4 {
      @include grid-container-first ($first-bg-grid4-color, span 2, span 3)
    }

    &__item-5 {
      @include grid-container-first ($first-bg-grid5-color, span 2, span 3)
    }

  }
}

.section-second {
  &__title {
    padding-bottom: 94px;
    margin: 0;
    color: $sect-second-title-color;
    height: 28px;
    @include font-properties('Gilam', 'normal', 700, 50px, 28px);
  }

  &__grid-container {
    display: grid;
    grid-template-rows: repeat(17, 1fr);
    grid-template-columns: repeat(3, 1fr);
    grid-gap: 28px;
    width: 1460px;
    height: 897px;
    color: $sect-second-text-grid-color;
    padding-bottom: 191px;

    &__item-1 {
      background-color: $second-bg-grid1-color;
      grid-row: span 6;
      grid-column: span 1;
      @include font-properties('Gilam', 'normal', 400, 20px, 25px);
      padding-left: 52px;
      padding-top: 44px;
    }

    &__item-2 {
      background-color: $second-bg-grid2-color;
      grid-row: span 9;
      grid-column: span 1;
      @include font-properties('Gilam', 'normal', 400, 20x, 25px);
      padding-top: 44px;
      padding-left: 51px;
    }

    &__item-3 {
      background-color: $second-bg-grid3-color;
      grid-row: span 5;
      grid-column: span 1;
      @include font-properties('Gilam', 'normal', 500, 20x, 25px);
      padding-top: 44px;
      padding-left: 48px;
    }

    &__item-4 {
      background-color: $second-bg-grid4-color;
      grid-row: span 6;
      grid-column: span 1;
      @include font-properties('Gilam', 'normal', 500, 20x, 25px);
      padding-top: 44px;
      padding-left: 48px;
    }

    &__item-5 {
      background-color: $second-bg-grid5-color;
      grid-row: span 11;
      grid-column: span 1;
      @include font-properties('Gilam', 'normal', 500, 20x, 25px);
      padding-top: 56px;
      padding-left: 52px;
    }

    &__item-6 {
      background-color: $second-bg-grid6-color;
      grid-row: span 8;
      grid-column: span 1;
      @include font-properties('Gilam', 'normal', 500, 20x, 25px);
      color: #0A0909;
      padding-top: 47px;
      padding-left: 52px;
      margin-bottom: 10px;
    }

    &__item-7 {
      background-color: $second-bg-grid7-color;
      grid-row: span 6;
      grid-column: span 1;
      @include font-properties('Gilam', 'normal', 700, 20x, 25px);
      padding-left: 42px;
      padding-top: 44px;
    }
  }
}

.footer {
  background-color: $footer-bg-color;
  padding-left: 230px;
  padding-right: 230px;
  width: 100%;

  &__container {
    width: 1460px;
    margin: 0 auto;
  }

  &__menu {
    display: flex;
    justify-content: space-between;
    padding-bottom: 72px;

    &__title {
      color: $footer-title-color;
      @include font-properties('Gilam', 'normal', 700, 50x, 28px);
      padding-top: 172px;
      margin: 0px;
    }

    &__nav {
      border: 1px solid $footer-nav-color;
      box-sizing: border-box;
      color: $footer-nav-color;
      width: 180px;
      height: 50px;
      margin-top: 161px;
      text-align: center;
      padding-top: 15px;
      //margin-right: 230px;
    }
  }

  &__grid {
    display: grid;
    grid-template-columns: 487px 486px 487px;
    grid-template-rows: 391px 391px;
    width: 1460px;
    height: 782px;
    padding-bottom: 238px;

    &__item-1 {
      background-color: $footer-bg-grid1;
      @include flex-center;
    }

    .footer__grid__item-2 {
      background-color: $footer-bg-grid2;
      display: flex;
      flex-direction: column;
      justify-content: flex-end;
      align-items: center;

      .footer__grid__text {
        color: #FFFFFF;
        opacity: 0;
        @include font-properties('Gilam', 'normal', 500, 22x, 28px);
        text-align: center;
        padding-bottom: 10px;
        margin: 0;
        white-space: pre-line;
      }

      &:hover > .footer__grid__text {
        opacity: 1;
        transition: 0.9s;
        transform: translate(0, -40%);
      }

      &:hover .footer__grid__img {
        transform: translate(0, -120%);
        opacity: 1;
        transition: 0.9s;
      }
    }

    &__item-3 {
      background-color: $footer-bg-grid3;
      @include flex-center;
    }

    &__item-4 {
      background-color: $footer-bg-grid4;
      @include flex-center;
    }

    &__item-5 {
      background-color: $footer-bg-grid5;
      @include flex-center;
    }

    &__item-6 {
      background-color: $footer-bg-grid6;
      @include flex-center;
    }
  }
}